QgisRelationEditorWidget in custom form emits duplicate signals
Status: Closed

Priority: Normal

Assignee:

Category: Forms

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 21568

Description

when QgisRelationEditorWidget is used into a custom form it seems that some signals are emitted once for each record in the child layer.

History

#1 - 2015-10-10 04:04 AM - Matthias Kuhn

- Status changed from Open to Feedback

Can you clarify "some signals"?

#2 - 2015-10-14 11:47 PM - Luca Lanteri

- File foto.zip added

- File 2015-10-15_084422.jpg added

Due to my lack of python knowledge I'm no really sure how to describe the issue in detail and if it's really connected to signals.

I attach some test data.

If I open my form and I push one of the two buttons all works fine, but when I use the form in the "table form view" when I push the buttons the dialog is

opened more than one time. 

The number of time increases when there are more features in the layer.

Same thing happened when I put my form into a QgisRelationEditorWidget.

I'm a python newbye so may be the code in the form can be not correct.

#3 - 2015-12-20 10:13 AM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Feedback to Closed

mescal72 - wrote:

I'm a python newbye so may be the code in the form can be not correct.

so, in this case shouldn't this more suited for a question in the developers mailing list rather than assuming that is a bug in QGIS? Please reopen if

necessary (ie, after asking and getting an answer a issue is confirmed). Thanks!
foto.zip 5.6 KB 2015-10-14 Luca Lanteri

2025-05-17 2/2


